{******************************************************************************}
{*                                                                            *}
{*               Adirondack Software & Graphics Clipboard Unit                *}
{*          (C) Copyright Adirondack Software & Graphics 1996-1998            *}
{*                                                                            *}
{******************************************************************************}

unit CVUnit;

interface

uses Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ClipView, Clipbrd, StdCtrls, ExtCtrls, NetGradient;

type
  TCV = class( TForm )
    ClipboardViewer1: TClipboardViewer;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    NetGradient1: TNetGradient;
    procedure Button1Click( Sender: TObject );
    procedure Button2Click( Sender: TObject );
    procedure Button3Click( Sender: TObject );
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  CV: TCV;

implementation

Uses Main;

{$R *.DFM}

{==============================================================================}
procedure TCV.Button1Click( Sender: TObject );
{==============================================================================}
begin
  //Create a new child window
  MainForm.FileNewItemClick( Self );
  //Paste image
  TImage( MainForm.PageControl1.ActivePage.Controls[0] ).Picture.Assign( Clipboard );
end;

{==============================================================================}
procedure TCV.Button2Click( Sender: TObject );
{==============================================================================}
begin
  Clipboard.Clear;
end;

{==============================================================================}
procedure TCV.Button3Click( Sender: TObject );
{==============================================================================}
begin
  Close;
end;

end.
