unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, NetGradient, Buttons, ComCtrls, ExtCtrls, jpeg;

type
  TMainForm = class(TForm)
    Demo: TNetGradient;
    PageControl1: TPageControl;
    tsOptions: TTabSheet;
    tsAuthor: TTabSheet;
    NetGradient2: TNetGradient;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    Label1: TLabel;
    Cap: TEdit;
    fd: TComboBox;
    Label2: TLabel;
    Co: TColorDialog;
    Fo: TFontDialog;
    SpeedButton3: TSpeedButton;
    Button1: TButton;
    Noc: TEdit;
    Label3: TLabel;
    tt: TEdit;
    Label4: TLabel;
    tl: TEdit;
    Label5: TLabel;
    Image1: TImage;
    Memo1: TMemo;
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure CapChange(Sender: TObject);
    procedure fdChange(Sender: TObject);
    procedure NocChange(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure tlChange(Sender: TObject);
    procedure ttChange(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

procedure TMainForm.SpeedButton1Click(Sender: TObject);
begin
Co.Color:= Demo.BeginColor;
if Co.Execute then
 Demo.BeginColor:= Co.Color;
end;

procedure TMainForm.SpeedButton2Click(Sender: TObject);
begin
Co.Color:= Demo.EndColor;
if Co.Execute then
 Demo.EndColor:= Co.Color;
end;

procedure TMainForm.CapChange(Sender: TObject);
begin
if Cap.Text <> Demo.Caption then Demo.Caption:= Cap.Text;
end;

procedure TMainForm.fdChange(Sender: TObject);
begin
 case fd.ItemIndex of
   0: Demo.FillDirection:= fdLeftToRight;
   1: Demo.FillDirection:= fdRightToLeft;
 end;
end;


procedure TMainForm.NocChange(Sender: TObject);
begin
if (StrToInt(Noc.Text) <> Demo.NumberOfColors) and (Noc.Text <> '') then Demo.NumberOfColors:= StrToInt(Noc.Text);
end;

procedure TMainForm.Button1Click(Sender: TObject);
begin
 Close;
end;




procedure TMainForm.tlChange(Sender: TObject);
begin
if (StrToInt(tl.Text) <> Demo.TextLeft) and (tl.Text <> '') then Demo.TextLeft:= StrToInt(tl.Text);
end;

procedure TMainForm.ttChange(Sender: TObject);
begin
if (StrToInt(tt.Text) <> Demo.TextTop) and (tt.Text <> '') then Demo.TextTop:= StrToInt(tt.Text);
end;


procedure TMainForm.SpeedButton3Click(Sender: TObject);
begin
Fo.Font:= Demo.Font;
if Fo.Execute then
 Demo.Font:= Fo.Font;
end;

end.
